<?php

namespace Drupal\mortgage_calculator\Controller;

/**
 * Controller routines for help routes.
 */
class MortgageCalculatorController {

  /**
   * Prints a page listing a glossary of Drupal terminology.
   *
   * @return string
   *   An HTML string representing the contents of help page.
   */
  public function mortgageCalculatorPage() {

    $loan_amount = \Drupal::state()->get('mortgage_calculator_loan_amount');
    $mortgage_rate = \Drupal::state()->get('mortgage_calculator_mortgage_rate');
    $years_to_pay = \Drupal::state()->get('mortgage_calculator_years_to_pay');
    $desired_display = \Drupal::state()->get('mortgage_calculator_desired_display');

    $output = [
      '#theme' => 'mortgage_calculator',
      '#help' => 'Help topics',
      '#loan_amount' => $loan_amount ? $loan_amount : '30000',
      '#mortgage_rate' => $mortgage_rate ? $mortgage_rate : '3',
      '#years_to_pay' => $years_to_pay ? $years_to_pay : 30,
      '#desired_display' => $desired_display,
    ];
    return $output;
  }

}
